#include "lib_phytium_scto.h"
#include <stdio.h>
#include <stdlib.h>

int main()
{
    unsigned char *buf = NULL;
    int len, ret;

    ret = lib_scto_init();
    if (ret < 0) {
        printf("Failed to init scto\n");
        return -1;
    }

    buf = calloc(32, 1);
    if (NULL == buf) {
        perror("Failed to alloc mem");
        return -1;
    }
    len = get_rand_data(buf, 32);
    if (len == 32)
        printf("get %d bytes rand data\n", len);
    else {
        printf("Failed to get_rand_data\n");
        goto out;
    }

    for (int i = 0; i < 32; i++) {
		printf("0x%02x ", *((char *)buf + i));
        if (i == 15)
            printf("\n");
    }
    printf("\n");

out:
    if (buf)
        free(buf);

    return 0;
}
