#ifndef __LIB_SM2_PHYTIUM_H__
#define __LIB_SM2_PHYTIUM_H__


struct sm2_info {
	uint32_t type;
	uint32_t src_len;
	uint32_t dst_len;
	uint8_t *src;
	uint8_t *dst;
	uint8_t *key;
};

/*API*/
int phytium_sm2_sign(uint8_t *e,uint32_t e_len,uint8_t *priv_key,uint32_t priv_key_len,uint8_t *der_code_out,uint32_t *der_code_out_len); //0:成功 其它：失败
int phytium_sm2_verify(uint8_t *e,uint32_t e_len,uint8_t *pub_key,uint32_t pub_key_len,uint8_t *sign_result,uint32_t sign_result_len); //0 :验签成功 其它：失败
int phytium_sm2_dec(uint8_t *src,uint32_t src_len,uint8_t *priv_key,uint32_t priv_key_len,uint8_t *dst,uint32_t *dst_len);
//0:成功 其它：失败
int phytium_sm2_enc(uint8_t *src,uint32_t src_len,uint8_t *pub_key,uint32_t pub_key_len,uint8_t *dst,uint32_t *dst_len);
//0 :成功 其它：失败
#endif
